Unsupported ETS2 & ATS version!

1.42 has just been released for Euro Truck Simulator 2 and American Truck Simulator.

TruckersMP is currently NOT compatible with these updates. In order to play TruckersMP, you will need to downgrade your game to the temporary_1_41 branch.

Check out this article for more information on how to downgrade your game.

Scout Car Survey!

Interested in having a say on the future design of the Scout car? Well check out the following survey to let your ideas be known!

You can find the survey here.

Event Description

Location Budapest (City)
Destination Katowice (City)
Main Language English
Communication https://discord.com/invite/6yS3wZtrpy
Link https://www.gokborutm.com/

DLCs Requirements


Event Information


VTCs Attending (1)

Attending (57)

User
Gullbrann
3 days ago
User
[AKABE] Kadir [18]
6 days ago
User
Mr.Mac
1 week ago
User
TR_Batuhan
2 weeks ago
User
Next7
2 weeks ago
User
Tosun_1987
2 weeks ago
User
Mr Barbecue
2 weeks ago
User
dogancan52
2 weeks ago
User
ENES55TR
2 weeks ago
User
Hayrettin (56)
2 weeks ago
User
BloodHaven
2 weeks ago
User
Giovi.
2 weeks ago
User
Cosmin2720
2 weeks ago
User
Danut Constantin
2 weeks ago
User
AntonescuDenis
2 weeks ago
User
Mr,Bandit
2 weeks ago
User
Madalin.Valentin
2 weeks ago
User
vlam
2 weeks ago
User
$$MadutzuTM$$
2 weeks ago
User
Dicisiky.
2 weeks ago
User
Sgt Salt
2 weeks ago
User
[GökBörü] NEON
3 weeks ago
User
[GökBörü] Akın
3 weeks ago
User
P O Y R Λ Z
3 weeks ago
User
[GökBörü] 096
3 weeks ago
User
Kenny246
3 weeks ago
User
[GökBörü] Wraith
3 weeks ago
User
Yakup_Yilmaz
3 weeks ago
User
User_3859909
3 weeks ago
User
Santi.
3 weeks ago
User
Brawni
3 weeks ago
User
HandOfClash
3 weeks ago
User
[GökBörü] H4ns
3 weeks ago
User
[GökBörü] Kadir
3 weeks ago
User
[GökBörü] 'Emre
3 weeks ago

Unsure (1)

User
ALLIANCE Jean M.
1 week ago